<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="pt"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>AbstractAuditingEntity.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Credenciamento</a> &gt; <a href="index.source.html" class="el_package">br.edu.unifacisa.lti.domain</a> &gt; <span class="el_source">AbstractAuditingEntity.java</span></div><h1>AbstractAuditingEntity.java</h1><pre class="source lang-java linenums">package br.edu.unifacisa.lti.domain;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonIgnore;
import org.hibernate.envers.Audited;
import org.springframework.data.annotation.CreatedBy;
import org.springframework.data.annotation.CreatedDate;
import org.springframework.data.annotation.LastModifiedBy;
import org.springframework.data.annotation.LastModifiedDate;

import org.springframework.data.jpa.domain.support.AuditingEntityListener;
import java.time.ZonedDateTime;
import javax.persistence.Column;
import javax.persistence.EntityListeners;
import javax.persistence.MappedSuperclass;

/**
 * Base abstract class for entities which will hold definitions for created, last modified by and created,
 * last modified by date.
 */
@MappedSuperclass
@Audited
@EntityListeners(AuditingEntityListener.class)
<span class="fc" id="L25">public abstract class AbstractAuditingEntity implements Serializable {</span>

    private static final long serialVersionUID = 1L;

    @CreatedBy
    @Column(name = &quot;created_by&quot;, nullable = false, length = 50, updatable = false)
    @JsonIgnore
    private String createdBy;

<span class="fc" id="L34">    @CreatedDate</span>
    @Column(name = &quot;created_date&quot;, nullable = false)
    @JsonIgnore
<span class="fc" id="L37">    private ZonedDateTime createdDate = ZonedDateTime.now();</span>

    @LastModifiedBy
    @Column(name = &quot;last_modified_by&quot;, length = 50)
    @JsonIgnore
    private String lastModifiedBy;

<span class="fc" id="L44">    @LastModifiedDate</span>
    @Column(name = &quot;last_modified_date&quot;)
    @JsonIgnore
<span class="fc" id="L47">    private ZonedDateTime lastModifiedDate = ZonedDateTime.now();</span>

    public String getCreatedBy() {
<span class="fc" id="L50">        return createdBy;</span>
    }

    public void setCreatedBy(String createdBy) {
<span class="nc" id="L54">        this.createdBy = createdBy;</span>
<span class="nc" id="L55">    }</span>

    public ZonedDateTime getCreatedDate() {
<span class="fc" id="L58">        return createdDate;</span>
    }

    public void setCreatedDate(ZonedDateTime createdDate) {
<span class="nc" id="L62">        this.createdDate = createdDate;</span>
<span class="nc" id="L63">    }</span>

    public String getLastModifiedBy() {
<span class="fc" id="L66">        return lastModifiedBy;</span>
    }

    public void setLastModifiedBy(String lastModifiedBy) {
<span class="nc" id="L70">        this.lastModifiedBy = lastModifiedBy;</span>
<span class="nc" id="L71">    }</span>

    public ZonedDateTime getLastModifiedDate() {
<span class="fc" id="L74">        return lastModifiedDate;</span>
    }

    public void setLastModifiedDate(ZonedDateTime lastModifiedDate) {
<span class="nc" id="L78">        this.lastModifiedDate = lastModifiedDate;</span>
<span class="nc" id="L79">    }</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.7.9.201702052155</span></div></body></html>